import crafttweaker.api.item.IItemStack;
import crafttweaker.api.ingredient.IIngredient;
import crafttweaker.api.data.IData;
import crafttweaker.api.util.random.Percentaged;

val reactorCasing = <item:alchemistry:reactor_casing>;
val osmiumIngot = <tag:items:forge:ingots/osmium>;
val platinumIngot = <tag:items:forge:ingots/platinum>;
val blazePowder = <item:minecraft:blaze_powder>;

function addCompactor(uniqueID as string, itemIn as Percentaged<IItemStack>, itemOut as IItemStack) as void {
	val itemInData = itemIn.getData();
	<recipetype:alchemistry:compactor>.addJsonRecipe("compacting_" + uniqueID, {
		"type": "alchemistry:compactor",
		"group": "alchemistry:compactor",
		"input": {"count" : itemInData.amount, "ingredient" : itemInData as IData},
		"result": itemOut as IData
	});
}

craftingTable.remove(reactorCasing);

craftingTable.addShaped("alchemistry_reactor_casing_1", reactorCasing * 4, [
	[ osmiumIngot,  platinumIngot, osmiumIngot ],
	[platinumIngot,  blazePowder, platinumIngot],
	[ osmiumIngot,  platinumIngot, osmiumIngot ]
]);

craftingTable.addShaped("alchemistry_reactor_casing_2", reactorCasing * 4, [
	[platinumIngot, osmiumIngot, platinumIngot],
	[ osmiumIngot,  blazePowder,  osmiumIngot ],
	[platinumIngot, osmiumIngot, platinumIngot]
]);

addCompactor("silicon", <item:chemlib:silicon> * 16, <item:ae2:silicon>);
addCompactor("sulfur", <item:chemlib:sulfur> * 16, <item:mekanism:dust_sulfur>);

### Script by FoxMcloud5655